//
//  Dictornary+Url.swift
//  AppleLibs
//
//  Created by Tobias on 25.04.21.
//

import Foundation

public extension Dictionary
{
    func percentEncoded() -> Data? {
        return map { key, value in
            let escapedKey = "\(key)".addingPercentEncoding(withAllowedCharacters: .urlQueryValueAllowed) ?? ""
            let escapedValue = "\(value)".addingPercentEncoding(withAllowedCharacters: .urlQueryValueAllowed) ?? ""
            return escapedKey + "=" + escapedValue
        }
                .joined(separator: "&")
                .data(using: .utf8)
    }
}
