//
//  Date+Create.swift
//  AppleLibs
//
//  Created by Tobias on 05.12.21.
//

import Foundation

public extension Date
{
    static func from(year: Int, month: Int, day: Int, hours: Int = 0, minutes: Int = 0, soconds: Int = 0, timezone: TimeZone = TimeZone.current) -> Date
    {
        var calendar = Calendar(identifier: .gregorian)
        calendar.timeZone = timezone
        let components = DateComponents(year: year, month: month, day: day, hour: hours, minute: minutes, second: soconds)
        return calendar.date(from: components)!
    }
}
