//
//  Date+Styled.swift
//  AppleLibs
//
//  Created by Tobias on 25.04.21.
//

import Foundation

public extension Date
{
    enum DateStyle: String
    {
        case ddmmyyyy = "dd.MM.yyyy"
        case ddmmyyyyHHmm = "dd.MM.yyyy HH:mm"
        case HHmm = "HH:mm"
    }

    func styled(style: DateStyle) -> String {
        return styled(style: style.rawValue)
    }
    
    func styled(style: String) -> String {
        let dateFormatter: DateFormatter = DateFormatter()
        dateFormatter.dateFormat = style
        return dateFormatter.string(from: self)
    }

    func combineWithTime(time: Date?) -> Date? {
        if let time = time {
            let timeComponents = Calendar.current.dateComponents([.hour, .minute], from: time)
            return Calendar.current.date(bySettingHour: timeComponents.hour ?? 0, minute: timeComponents.minute ?? 0, second: timeComponents.second ?? 0, of: self)
        }
        return nil
    }
}
