//
//  NumberFormatter.swift
//  AppleLibs
//
//  Created by Tobias on 25.04.21.
//

import Foundation

public extension Int
{
    var styled: String {
        let formatter = NumberFormatter()
        formatter.numberStyle = .none
        return formatter.string(from: NSNumber(value: self)) ?? ""
    }

    static func parse(input: String) -> Int? {
        Int(input)
    }
}

public extension Int64
{
    var styled: String {
        let formatter = NumberFormatter()
        formatter.numberStyle = .none
        return formatter.string(from: NSNumber(value: self)) ?? ""
    }

    static func parse(input: String) -> Int64? {
        Int64(input)
    }
}

public extension Double
{
    var styled: String {
        let formatter = NumberFormatter()
        formatter.numberStyle = .decimal
        formatter.usesGroupingSeparator = false
        formatter.groupingSeparator = ""
        return formatter.string(from: NSNumber(value: self)) ?? ""
    }

    static func parse(input: String) -> Double? {
        let formatter = NumberFormatter()
        formatter.numberStyle = .decimal
        return formatter.number(from: input)?.doubleValue
    }
}
