//
//  UIViewController+Screenshot.swift
//  AppleLibs
//
//  Created by Tobias on 29.04.21.
//

import UIKit

extension UIViewController
{
    open func takeScreenshot(_ shouldSave: Bool = false) -> UIImage? {
        guard let window = self.view.window else {
            return nil
        }
        let bounds = UIScreen.main.bounds
        
        UIGraphicsBeginImageContextWithOptions(bounds.size, false, 0)
        window.drawHierarchy(in: bounds, afterScreenUpdates: true)
        guard let screenshotImage = UIGraphicsGetImageFromCurrentImageContext() else {
            return nil
        }
        UIGraphicsEndImageContext()
        
        if shouldSave {
            UIImageWriteToSavedPhotosAlbum(screenshotImage, nil, nil, nil)
        }
        return screenshotImage
    }
}
