// swift-tools-version:5.2
import PackageDescription

let package = Package(
    name: "AppleLibs",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        .library(
            name: "AppleLibs",
            targets: ["AppleLibs"]
        ),
    ],
    dependencies: [
        .package(url: "https://github.com/apple/swift-log.git", from: "1.0.0"),
        .package(url: "https://github.com/hmlongco/Resolver.git", from: "1.1.4"),
    ],
    targets: [
        .target(
            name: "AppleLibs",
            dependencies: [
                .product(name: "Logging", package: "swift-log"),
                .product(name: "Resolver", package: "Resolver")
            ],
            path: "AppleLibs"
        ),
        .testTarget(
            name: "AppleLibsTests",
            dependencies: ["AppleLibs"],
            path: "AppleLibsTests"
        ),
    ]
)
